View Issue Details

IDProjectCategoryView StatusLast Update
0004513SketcherBugpublic2021-02-07 13:05
ReporterVorpal Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Target Version0.19Fixed in Version0.19 
Summary0004513: Sketcher mirror command incorrectly adds vertical/horizontal constraints when mirroring around non-axis aligned line
DescriptionWhen mirroring using the mirror command inside a sketch (there seems to be another command that mirrors an entire sketch as well), the result is messed up when mirroring around a non-axis aligned line. Specifically, vertical/horizontal constraints are incorrectly copied. These are no longer valid for the mirrored copy in this case. See attached screenshot, where the upper right geometry was mirrored around the construction line.
Steps To Reproduce1. Open sketch in attached file.
2. Mirror the geometry with respect to the construction line.
3. Observe that the result is not correctly mirrored, unless the vertical constraint is first removed.
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 18.04.5 LTS (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23323 (Git) AppImage
Build type: Release
Branch: master
Hash: 512d5c6141aec52b6eecc67370336a28fde862a6
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United Kingdom (en_GB)

Activities

Vorpal

2020-12-16 23:19

reporter   ~0015153

It seems the files did not upload. Trying again...
freecad_mirror_bug.png (Attachment missing)
broken_mirror.FCStd (Attachment missing)

davidosterberg

2020-12-22 11:26

reporter   ~0015172

PR
https://github.com/FreeCAD/FreeCAD/pull/4180
mirror_working.gif (Attachment missing)

Kunda1

2021-02-07 13:03

administrator   ~0015289

Thanks @davidosterberg! FYI, to auto-close this ticket please use the trigger 'Fixes 0004513'. What happened is that you referenced it instead by writing 'Issue 0004513'.
ref: https://wiki.freecadweb.org/Tracker#GitHub_and_MantisBT

Kunda1

2021-02-07 13:05

administrator   ~0015290

Closing ticket. I'd assign it to davidosterberg, but having technical issues. Apologies.

Related Changesets

FreeCAD: master 73fa3046

2020-12-22 10:36:27

davidosterberg


Committer: abdullahtahiriyo Details Diff
Sketcher: Fix issue 0004513 - SketchObject::addSymmetric

This fixes issue
https://tracker.freecadweb.org/view.php?id=4513

addSymmetric will now only transfer Vertical and Horizontal constraints if the reference axis is either
- the HAxis
- the VAxis
- a Vertical line
- a Horizontal line
Affected Issues
0004513
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

Issue History

Date Modified Username Field Change
2020-12-16 23:18 Vorpal New Issue
2020-12-16 23:19 Vorpal Note Added: 0015153
2020-12-16 23:19 Vorpal File Added: freecad_mirror_bug.png
2020-12-16 23:19 Vorpal File Added: broken_mirror.FCStd
2020-12-22 11:26 davidosterberg Note Added: 0015172
2020-12-22 11:26 davidosterberg File Added: mirror_working.gif
2020-12-23 05:30 davidosterberg Changeset attached => FreeCAD master 73fa3046
2021-02-06 05:55 abdullah Target Version => 0.20
2021-02-07 13:03 Kunda1 Note Added: 0015289
2021-02-07 13:03 Kunda1 Target Version 0.20 => 0.19
2021-02-07 13:05 Kunda1 Status new => closed
2021-02-07 13:05 Kunda1 Resolution open => fixed
2021-02-07 13:05 Kunda1 Fixed in Version => 0.19
2021-02-07 13:05 Kunda1 Note Added: 0015290